<?php
namespace Teknisa\MAN\Services;

use Doctrine\DBAL\Connection;
use Teknisa\MAN\Utilities;
use Teknisa\MAN\Services\NovoCodigo;

class UnidadeService {
    
    protected $conn;

    public function __construct(Connection $conn) {
        $this->conn = $conn;
    }
    public function getIDBLOCKFILIAL($rows){
        try{
            $params = array (
                ':NRPERFILACESSO' => $rows['NRPERFIL'],
                ':NRORG'          => $rows['NRORG']
                );
            return  $this->conn->fetchAssoc(self::GET_IDBLOCKFILIAL,$params)['IDBLOCKFILIAL'];
        } catch (\Exception $e) {
            return 'N';
        };
    }

    
    const GET_IDBLOCKFILIAL = "
        SELECT IDBLOCKFILIAL FROM PERFILACESSO 
            WHERE NRPERFILACESSO = :NRPERFILACESSO
            AND   NRORG = :NRORG
    ";
}